export default class Report {
    private readonly instanceId;
    constructor();
    private OperateEx;
    clearData(): Promise<any>;
    /**
     * 注册数据源
     * @param name 数据源名称
     * @param data  数据
     * @param field 指定字段对应类型 默认所有字段类型为string
     * 可指定 string|bool|date|datetime|decimal|double|float|int|long|object|short
     * 格式: {"id":"string","flag":"int","birthday":"date","total":"decimal"}
     * @returns
     */
    registerData(name: string, data: Array<any>, field: object): Promise<any>;
    doublePass(value: Boolean): Promise<any>;
    load(fileName: string): Promise<any>;
    loadFromId(reportId: string): Promise<any>;
    /**
     * 导出pdf
     * @param fileName 文件名称，如果不传则返回流
     * @returns 文件或者文件流
     */
    ExportToPdf(fileName: string): Promise<any>;
    exportToHtml(fileName: string): Promise<any>;
    prepare(append?: Boolean): Promise<any>;
    addParameter(name: string, value: string): Promise<any>;
    design(): Promise<any>;
    show(): Promise<any>;
    showPrepared(): Promise<any>;
    print(printerName?: string): Promise<any>;
    printPrepared(printerName?: string): Promise<any>;
    dispose(): Promise<any>;
}
